Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunityProperty

    java.lang.Object
      com.bea.netuix.application.communities.CommunityProperty

All Implemented Interfaces
  Serializable

    public class CommunityProperty

extends Object
implements Serializable

Represents a property associated with a community. A `CommunityDefinition` has a `Map` of these keyed by their names associated with it.

The overview of community functionality contains a description of the community framework.

See Also
  `CommunityDefinition.getProperties()`, Serialized Form

Field Summary
`protected CommunityDefinitionId` | `communityDefinitionId` CommunityDefinitionId of the community this property is associated with.
`protected String` | `description` Description for this property
`protected boolean` | `multiValued` Flag to denote if this property supports multiple values.
`protected String` | `name` Name of this property
`protected List<CommunityPropertyValue>` | `values` The list of property values.

Constructor Summary
`CommunityProperty(String name, String description, boolean multiValued, List<CommunityPropertyValue> values)` Ctor
`CommunityProperty(String name, String description, CommunityDefinitionId communityDefinitionId, boolean multiValued, List<CommunityPropertyValue> values)` Ctor
`CommunityProperty(String name, String description, CommunityDefinitionId communityDefinitionId, CommunityPropertyValue value)` Ctor - used when a CommunityProperty is single valued.
`CommunityProperty(String name, String description, CommunityPropertyValue value)` Ctor - used when a CommunityProperty is single valued.

Method Summary
`CommunityProperty` | `clone()`
`boolean` | `equals(Object o)`
`CommunityDefinitionId` | `getCommunityDefinitionId()`
`String` | `getDescription()`
`String` | `getName()`
`List<CommunityPropertyValue>` | `getValues()`
`int` | `hashCode()`
`boolean` | `isMultiValued()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

  Name of this property

### description

    protected String description

  Description for this property

### communityDefinitionId

    protected CommunityDefinitionId communityDefinitionId

  CommunityDefinitionId of the community this property is associated with.

### multiValued

    protected boolean multiValued

  Flag to denote if this property supports multiple values.

### values

    protected List<CommunityPropertyValue> values

  The list of property values. Only one value implies a single valued property

Constructor Detail

### CommunityProperty

    public CommunityProperty(String name,
                             String description,
                             CommunityDefinitionId communityDefinitionId,
                             boolean multiValued,
                             List<CommunityPropertyValue> values)

  Ctor

  Parameters
    `name` - property name
    `description` - property description
    `communityDefinitionId` - `CommunityDefinitionId`
    `multiValued` - `true` if property is multivalued
    `values` - `List` of `CommunityPropertyValue`s

### CommunityProperty

    public CommunityProperty(String name,
                             String description,
                             boolean multiValued,
                             List<CommunityPropertyValue> values)

  Ctor

  Parameters
    `name` - property name
    `description` - property description
    `multiValued` - `true` if property is multivalued
    `values` - `List` of `CommunityPropertyValue`s

### CommunityProperty

    public CommunityProperty(String name,
                             String description,
                             CommunityDefinitionId communityDefinitionId,
                             CommunityPropertyValue value)

  Ctor - used when a CommunityProperty is single valued.

  Parameters
    `name` - property name
    `description` - property description
    `communityDefinitionId` - `CommunityDefinitionId`
    `value` - `CommunityPropertyValue`

### CommunityProperty

    public CommunityProperty(String name,
                             String description,
                             CommunityPropertyValue value)

  Ctor - used when a CommunityProperty is single valued.

  Parameters
    `name` - property name
    `description` - property description
    `value` - `CommunityPropertyValue`

Method Detail

### getCommunityDefinitionId

    public CommunityDefinitionId getCommunityDefinitionId()

### getDescription

    public String getDescription()

### isMultiValued

    public boolean isMultiValued()

### getName

    public String getName()

### getValues

    public List<CommunityPropertyValue> getValues()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public CommunityProperty clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.